Subject: Re: [PATCH 0/3] ci: don't compile whole project when testing docs with Meson

From: Patrick Steinhardt <[email-masked]>
Date: Tue, 16 Sep 2025 08:41:26 +0200

On Mon, Sep 15, 2025 at 04:13:00PM -0700, Junio C Hamano wrote:
> Patrick Steinhardt <[email-masked]> writes:
> 
> >> I wonder if we want to let people say "meson compile doc" to match
> >> the other world?
> >> 
> >> Will queue.  Thanks.
> >
> > The reason why I picked 'docs' is that the accompanying user-facing
> > option is also named the same way. It's thus a bit more consistent with
> > itself to call the target 'docs' as well.
> 
> Sorry, but I am not sure what user-facing "docs" option you are
> referring to; is this some earlier mistake we made that is way too
> entrenched to fix?  I do know about the "make docs" that barfs with
> "*** No rule to make target 'docs'.  Stop.", and I would call it
> user-facing.  I would say it is a bit too old to "correct" without
> disrupting existing users.

I meant the Meson option `-Ddocs=man,html`. I feel it's more natural
there if the accompanying target is also called "docs" there.

Another option is that we could also just have both. In that case users
of the Makefile could continue to use the "doc" target with Meson, as
they are used to. And users that are used to Meson can use the "docs"
target.

Patrick